CVE-2020-13991

NameCVE-2020-13991
Descriptionvm/opcodes.c in JerryScript 2.2.0 allows attackers to hijack the flow of control by controlling a register.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
iotjs (PTS)buster1.0-1fixed
bullseye, sid1.0+715-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
iotjssource(unstable)(not affected)

Notes

- iotjs <not-affected> (Vulnerable code not present; cf. #972228)
https://github.com/jerryscript-project/jerryscript/issues/3858
https://github.com/jerryscript-project/jerryscript/issues/3859
https://github.com/jerryscript-project/jerryscript/issues/3860
https://github.com/jerryscript-project/jerryscript/pull/3867

Search for package or bug name: Reporting problems